vtkDataObjectTreeInternals Class Reference

`#include <vtkDataObjectTreeInternals.h>`

## Public Types

typedef std::vector< vtkDataObjectTreeItem > | VectorOfDataObjects
typedef VectorOfDataObjects::iterator | Iterator
typedef VectorOfDataObjects::reverse_iterator | ReverseIterator

## Public Attributes

VectorOfDataObjects | Children

## Detailed Description

Definition at line 44 of file vtkDataObjectTreeInternals.h.

## Member Typedef Documentation

## VectorOfDataObjects

typedef std::vector<vtkDataObjectTreeItem> vtkDataObjectTreeInternals::VectorOfDataObjects

Definition at line 47 of file vtkDataObjectTreeInternals.h.

## Iterator

typedef VectorOfDataObjects::iterator vtkDataObjectTreeInternals::Iterator

Definition at line 48 of file vtkDataObjectTreeInternals.h.

## ReverseIterator

typedef VectorOfDataObjects::reverse_iterator vtkDataObjectTreeInternals::ReverseIterator

Definition at line 49 of file vtkDataObjectTreeInternals.h.

## Member Data Documentation

## Children

VectorOfDataObjects vtkDataObjectTreeInternals::Children

Definition at line 51 of file vtkDataObjectTreeInternals.h.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkDataObjectTreeInternals.h